<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\SolicitacaoServService;

class SolicitacaoServController
{
    protected $SolicitacaoServService;

    public function __construct(SolicitacaoServService $SolicitacaoServService)
    {
        $this->SolicitacaoServService = $SolicitacaoServService;
    }

    public function rotaBase(DTO\Request $request, DTO\Response $response)
    {
        $method = $request->getMethod();
        $params = $request->getParameters();
        if ($method == "GET") {
        } else if ($method == "POST") {
            $this->SolicitacaoServService->insertSolicitacaoServ($params);
            $dtsVal = new DataSet('Status', ["Success"]);
            $response->addDataSet($dtsVal);
        }
    }

    public function getSolicitacoesServDash(DTO\Request $request, DTO\Response $response)
    {

        $variavel = $this->SolicitacaoServService->getSolicitacoesServDash();
        $dtsVal = new DataSet('solicitacoes', $variavel);
        $response->addDataSet($dtsVal);
    }

    public function getSolicitacoeConvertidasOS(DTO\Request $request, DTO\Response $response)
    {

        $variavel = $this->SolicitacaoServService->getSolicitacoeConvertidasOS();
        $dtsVal = new DataSet('solicitacoes', $variavel);
        $response->addDataSet($dtsVal);
    }
}
